6.0.0-git
2019-03-19

[#3965] Track the Organizer of events
Summary Track the Organizer of events
Queue Kronolith
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners Horde Developers (at) , mrubinsk (at) horde (dot) org, lang (at) b1-systems (dot) de
Requester manoli.cano (at) upcnet (dot) es
Created 2006-05-22 (4684 days ago)
Due 02/14/2015 (1494 days ago)
Updated 2017-08-01 (595 days ago)
Assigned
Resolved 2015-12-18 (1187 days ago)
Milestone
Patch No

History
2017-08-01 16:10:18 Jan Schneider Comment #45 Reply to this comment
This will of course be release, though not as H5 but as H6. Since this 
is a new major version and includes changes to both our development 
and release tools, we are not yet in the shape to make a release.
2017-08-01 15:59:28 paco (dot) orozco (at) upcnet (dot) es Comment #44 Reply to this comment
Hiya,

As we've seen on H5 master CHANGES [1], this bug has been solved, but 
it has not been released yet. Have you thought about releasing this 
version soon? It would be very interesting for us to have the 
resolution of this bug in a stable version.

Thanks in advance!

[1] https://github.com/horde/horde/blob/master/kronolith/docs/CHANGES
2017-04-06 11:53:06 albert (dot) solana (at) upcnet (dot) es Comment #43 Reply to this comment
We are awaiting the Horde 6 release with great interest, too.
Do you have some scheduled date to release it ?

The changing events owner kronolith bug is our main headache and new 
version solves it.
When will the Horde 6 release be available?
We have no official release date yet, but are actively working on 
the issues that have been holding it up.
2017-03-31 10:05:02 alberto (dot) garciasola (at) seap (dot) minhap (dot) es Comment #42 Reply to this comment
But, is it good to install in our servers for production from source?

[Show Quoted Text - 9 lines]
2017-02-09 20:02:10 Michael Rubinsky Comment #41 Reply to this comment
Any plans to make this available?
It is already available via Git. It will be in the Horde 6 release.
When will the Horde 6 release be available?
We have no official release date yet, but are actively working on the 
issues that have been holding it up.

2017-02-09 19:53:58 michael (at) brohl (dot) net Comment #40 Reply to this comment
Any plans to make this available?
It is already available via Git. It will be in the Horde 6 release.
When will the Horde 6 release be available?
2017-02-09 19:48:34 Michael Rubinsky Comment #39 Reply to this comment
Any plans to make this available?
It is already available via Git. It will be in the Horde 6 release.


2017-02-09 19:42:04 michael (at) brohl (dot) net Comment #38 Reply to this comment
Any plans to make this available?

Thanks and regards,
Michael

2017-02-09 19:40:28 michael (at) brohl (dot) net Comment #37 Reply to this comment
It will be released with the next major release cycle - Horde 6. No
set release date yet, but hopefully this year.
How are the plans for a Horde 6 release?
The above was almost 1 year ago.

Thanks for your time,
Michael
2017-01-20 11:04:24 michael (at) brohl (dot) net Comment #36 Reply to this comment
It will be released with the next major release cycle - Horde 6. No 
set release date yet, but hopefully this year.
How are the plans for a Horde 6 release?
The above was almost 1 year ago.

Thanks for your time,
Michael
2016-02-09 14:47:22 Michael Rubinsky Comment #35 Reply to this comment

[Show Quoted Text - 10 lines]
Not officially, no.

  or would it be possible for me to patch our current
installation?
You are, of course, free to attempt this yourself though there are a 
lot of other changes in master that you will need to cherry pick 
through. You will also run into issues with the database migrations 
when it's time to actually upgrade in the future.
It's a real pain with Horde taking over the ownership of foreign events.
Agreed.

2016-02-09 07:52:05 michael (at) brohl (dot) net Comment #34 Reply to this comment
Hi,

any plans when this is going to be released? This bugfix is much 
appreciated.
It will be released with the next major release cycle - Horde 6. No 
set release date yet, but hopefully this year.
Thank you for the information. Is there any chance to get this in the 
5.x releases or would it be possible for me to patch our current 
installation? It's a real pain with Horde taking over the ownership of 
foreign events.

2016-02-09 03:21:24 Michael Rubinsky Comment #33 Reply to this comment
Hi,

any plans when this is going to be released? This bugfix is much appreciated.
It will be released with the next major release cycle - Horde 6. No 
set release date yet, but hopefully this year.


2016-02-09 00:01:20 michael (at) brohl (dot) net Comment #32 Reply to this comment
Hi,

any plans when this is going to be released? This bugfix is much appreciated.

Thanks and regards,

Michael
I made changes/fixes to the PR and merged into master. Testing still 
welcome, though this seems to function well. Tested with meeting 
requests from both external and local users using dynamic interface 
and using ActiveSync. Could still use testing for the DAV 
functionality, but it looks pretty straightforward.

Also, some minor changes to ActiveSync code to fix handling of the 
response type values was done.
2015-12-18 21:24:14 Michael Rubinsky Comment #31
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
I made changes/fixes to the PR and merged into master. Testing still 
welcome, though this seems to function well. Tested with meeting 
requests from both external and local users using dynamic interface 
and using ActiveSync. Could still use testing for the DAV 
functionality, but it looks pretty straightforward.

Also, some minor changes to ActiveSync code to fix handling of the 
response type values was done.
2015-12-16 14:11:59 michael (at) brohl (dot) net Comment #30 Reply to this comment
I won't classify this as new functionality, it's a serious bug and 
very annoying.
Customers already started to apply filter rules to sort out false event mails.

I would very much appreciate a bugfix / patch for the 5.2 Releases.

[Show Quoted Text - 14 lines]
2015-12-13 04:28:01 Michael Rubinsky Comment #29 Reply to this comment
Does anyone already tested the patch in FRAMEWORK_5_2 branch. The 
patch shows some "Hunk #? FAILED at ???" messages, but it should not 
to be hard to fix the patch for FRAMEWORK_5_2.
No. It won't be back-ported to FW_5_2.  Since this is new 
functionality, it won't be available in a stable release until Horde 6.
After testing I may want to revert the patch. Is it enough to revert 
the patch and to remove event_organizer from table kronolith_events 
(from kronolith/migration/26_kronolith_remote_organizer.php)?
You should use the horde-db-migration script to migrate down to 25.
2015-12-12 22:11:28 bjoernv (at) arcor (dot) de Comment #28 Reply to this comment
https://github.com/horde/horde/pull/167 has a patch for adding 
organizers to events. Please try everyone if that patch works as 
advertised and doesn't break anything else. Any testing and feedback 
welcome. Please add your feedback to the pull request.
Does anyone already tested the patch in FRAMEWORK_5_2 branch. The 
patch shows some "Hunk #? FAILED at ???" messages, but it should not 
to be hard to fix the patch for FRAMEWORK_5_2.

After testing I may want to revert the patch. Is it enough to revert 
the patch and to remove event_organizer from table kronolith_events 
(from kronolith/migration/26_kronolith_remote_organizer.php)?
2015-12-10 16:05:48 Jan Schneider Comment #27 Reply to this comment
https://github.com/horde/horde/pull/167 has a patch for adding 
organizers to events. Please try everyone if that patch works as 
advertised and doesn't break anything else. Any testing and feedback 
welcome. Please add your feedback to the pull request.
2015-07-03 11:56:46 kevin (at) kevin-online (dot) com Comment #26 Reply to this comment
What is the status of this ticket? I think the related PR is 
https://github.com/horde/horde/pull/127 which has only few comments. 
The last comment however "What I'm still misssing from this patch is 
one of the key points of the original request: the attendees aren't 
imported if I save a copy of this event.". First I couldn't find this 
request in this ticket, secondly and most important, in the current 
stable version of kronolith, the attendees are stored when copying the 
event and also when importing it from an invitation in imp.

Why I ask: saving the attendees when adding an event from imp seems to 
have been added within the last year. What seems to be an improvement 
on the first glance, leads to a lot of trouble: accepting an event 
makes me owner of that event. So if I change the event, I need to be 
careful not sending an update. Or worse, if the actual organizer of 
the event sends me an update on the event, and I accept that update, 
all other attendees will receive an email from me, as I was the 
organizer. Even worse, some colleagues use CalDAV with an external 
calendar tool: if they disable the event's notification, the CalDAV 
sync again leads to outgoing email notifications (no need to say, they 
already ask for alternatives to Horde).

I recently accepted events scheduled for next week, which have more 
than 40 attendees of different business partners. I don't dare to 
touch that event even a little. If something goes wrong and everybody 
receives an email, that for sure wont be a good advertisement for Horde.

2015-02-27 18:50:13 Michael Rubinsky Comment #25 Reply to this comment
Hi Jan, as far as I can tell the PR is ready. From Friday on, I will 
be out of office for 3 weeks. Shall I wrap all the stuff into a 
consolidated 1-commit PR for review or would you like to review the 
PR as-is?
Wrapping it up into a single commit would be great, at least for me.
I'd like to make any final changes by end of march so the feature 
can be merged into the master branch.
Are there any written-down CODING_STANDARDS regarding the javascript 
side of things? I tried to follow existing code as close as possible.
I don't think we have ever formalized a specific js standards.
2015-02-26 07:33:17 Ralf Lang (B1 Systems GmbH) Comment #24 Reply to this comment
Editing an event with an external organizer now does not send Itip Requests.

When you choose to send Itips, you actually send Itip Reply messages 
regarding your attendance. You can change your attendance through a 
new dropdown only shown when organizer is not creator.
Hi Jan, as far as I can tell the PR is ready. From Friday on, I will 
be out of office for 3 weeks. Shall I wrap all the stuff into a 
consolidated 1-commit PR for review or would you like to review the PR 
as-is?

I'd like to make any final changes by end of march so the feature can 
be merged into the master branch.
Are there any written-down CODING_STANDARDS regarding the javascript 
side of things? I tried to follow existing code as close as possible.
2015-01-18 18:29:45 Ralf Lang (B1 Systems GmbH) Comment #23 Reply to this comment
Editing an event with an external organizer now does not send Itip Requests.

When you choose to send Itips, you actually send Itip Reply messages 
regarding your attendance. You can change your attendance through a 
new dropdown only shown when organizer is not creator.
2015-01-12 12:03:11 Jan Schneider Comment #22 Reply to this comment
But how do other attendees notice that you have accepted the 
invitation? Is this the organizer's (tool's) task?
Yes, he can send event updates as he sees fit.
Google Calendar has two checkbox options to a) allow attendees to 
add new attendees and b) edit the event.
Don't know the mechanics behind this. Normally I would assume if I 
edit my local copy of an event, that these are my notes on the event 
and the changes should not be shared with everybody else.
Agreed.
2015-01-12 11:59:19 Jan Schneider Comment #21 Reply to this comment
Also, do we want to disallow any changes to an accepted invitation's details?
No, users should be able to customize accepted invitations.
For me, if we disallow sending updates/cancellations this is enough
Agreed.
2015-01-12 11:54:52 Jan Schneider Comment #20 Reply to this comment
Open question: Set or don't set organizer field, if organizer is the 
current user?
Depends. If this is an external event, set, because the current user 
may have different email addresses, and we should stick to the 
original one. Internally created events shouldn't set, as long as we 
don't have the option to pick an identity when creating an event.
Open question: Do we need to handle this for Resources, 
app-generated content and Kolab as well?
For Kolab definitely, and basically for any driver that has a backend 
that supports organizers.

And of course we need an UI for managing the organizer.
2015-01-10 17:21:55 lang (at) b1-systems (dot) de Comment #19 Reply to this comment
We should probably also add logic to prevent sending updates to any 
attendees when $organizer != $_creator while still allowing changes 
in acceptance status to be emailed back to the $organizer. Also, do 
we want to disallow any changes to an accepted invitation's details?
Yes, I think we still need to prevent mails to anybody but the organizer.
But how do other attendees notice that you have accepted the 
invitation? Is this the organizer's (tool's) task?

Google Calendar has two checkbox options to a) allow attendees to add 
new attendees and b) edit the event.
Don't know the mechanics behind this. Normally I would assume if I 
edit my local copy of an event, that these are my notes on the event 
and the changes should not be shared with everybody else.
For me, if we disallow sending updates/cancellations this is enough, 
but some calendar clients (especially on mobile) completely lock the 
event (other than deleting it completely) when the current user is 
not the organizer.
I think this is overkill. You should be able to at least edit the 
"description" part. If this is too tricky, locking might be an option.

[Show Quoted Text - 10 lines]
I will add some code to Kronolith::sendITipNotifications to guard 
against mails to anybody but the organizer. Due by Sunday night.
2015-01-10 15:18:26 Michael Rubinsky Comment #18 Reply to this comment
We should probably also add logic to prevent sending updates to any 
attendees when $organizer != $_creator while still allowing changes in 
acceptance status to be emailed back to the $organizer. Also, do we 
want to disallow any changes to an accepted invitation's details? For 
me, if we disallow sending updates/cancellations this is enough, but 
some calendar clients (especially on mobile) completely lock the event 
(other than deleting it completely) when the current user is not the 
organizer.
ActiveSync users: Please test.
I'll take care of the testing, though obviously others feel free to 
test as well. I've already got a fairly large number of ready-to-go 
EAS testing setups :)

Once this is fully tested I can start looking at/testing turning on 
allowing access to shared calendars for ALL EAS clients and not just 
those that support multiple calendar collections.

2015-01-10 10:19:29 lang (at) b1-systems (dot) de Comment #17 Reply to this comment
https://github.com/horde/horde/pull/118

I have a solution which sort of works for my scenario:

Google calendar invites horde user, horde user accepts via 
thunderbird, thunderbird uses horde as caldav backend.

Previously, Horde dropped the ORGANIZER and used the CREATOR (the 
accepting user) as the ORGANIZER when re-exporting the event to Caldav 
-> thunderbird.
Also exports the ORGANIZER when exporting the event to ICS via 
Kronolith Dynamic UI.

SHOULD also work for ActiveSync, but I have not done much testing on this.

The ORGANIZER attribute is currently not exposed in toJSON and it's 
not displayed anywhere.

Please review.

ActiveSync users: Please test.
2015-01-08 18:33:48 Ralf Lang (B1 Systems GmbH) Comment #16
Assigned to Ralf Lang (B1 Systems GmbH)
Assigned to Horde DevelopersHorde Developers
Priority ⇒ 2. Medium
Due ⇒ 2015-02-14
Reply to this comment
I think I will have a look into this, as use cases pile up where it's 
really annoying.
I'll do it as a pull request though because of the review workflow. 
I'm not sure how "core" I am these days.

Things to touch:

- Enhance db schema to include an organizer field
- Use the organizer field in Kronolith::sendItipNotification instead 
of the creator field
- Use the organizer field in Event::toiCalendar, Fall back to creator 
when no organizer value is present
- Use the organizer field in Event::fromiCalendar, leave blank if non set.
- Use the organizer field in Event::fromHash, leave blank if non set.
Open question: Set or don't set organizer field, if organizer is the 
current user?
- Use the organizer field in Event::toASAppointment, fall back to 
creator otherwise.

Open question: Do we need to handle this for Resources, app-generated 
content and Kolab as well?
2015-01-08 12:06:35 geiger (at) b1-systems (dot) de Comment #15 Reply to this comment
Seems to be related to #13790, too. Besides, I don't think that this 
is a low priority bug since it's kind of embarrassing when you'll make 
yourself the organizer of a event with many invitees just because of a 
bug. Every other attendee will then receive an email with another 
invitation to an already processed event:

(copy&paste from #13790)
HOW TO REPRODUCE:
1. Get an invitation to an appointment where your email is set as attendee.
2. Accept the invitation using Outlook or Lightning (not the links in
the email but the buttons above).
3. Save the event to a calendar which is synchronized using Horde Kronolith.
4. Send out confirmation email.
5. The initial organizer will receive two mails. Note that the
organizer now isn't the initial creator, it will be you.

EXPECTED BEHAVIOUR:
The event will be accepted and the organizer won't change.

CURRENT BEHAVIOUR:
The event will be recreated with you as the organizer.
2014-11-05 10:22:13 willem (dot) verbruggen (at) anagky (dot) be Comment #14 Reply to this comment
See ticket 13664 as it might be related.
2014-10-11 18:47:21 Michael Rubinsky Comment #13 Reply to this comment
Is there a fix planned?
It's planned in so much as there is an open enhancement request for 
it. What we lack is developer time. If it's of great importance to 
you, you should consider sponsoring the development.
2014-10-10 23:29:57 nino (at) promedia-sds (dot) de Comment #12 Reply to this comment
I am also facing this bug. If I receive an invitation via an *.ics
file the organizer is not taken over/displayed in kronolith. E.g.
Lightning then assumes myself as organizer and this results in sending
myself a confirmation for an event organized by someone else. The
legit organizer however doesn't receive a confirmation.

Is there a fix planned?
2009-10-14 17:32:33 Michael Rubinsky Comment #11
Version ⇒ Git master
Reply to this comment
See also Ticket: 6269 for how this relates to syncing.
2006-05-26 03:33:34 Chuck Hagenbuch Deleted Original Message
 
2006-05-26 03:33:26 Chuck Hagenbuch Deleted Original Message
 
2006-05-26 03:33:14 Chuck Hagenbuch Comment #10
Summary ⇒ Track the Organizer of events
State ⇒ Accepted
Reply to this comment
AH. I understand now. The crucial piece of information was that the 
events were from iCal invitations, not from someone creating the event 
on a Kronolith shared calendar. Very important.
2006-05-25 08:47:57 manoli (dot) cano (at) upcnet (dot) es Comment #9
New Attachment: displayevent
Reply to this comment
Sorry, I attach you now the screenshot.

The events are created in my calendar, not in a shared calendar. Two 
other people have permission to 'show' and 'read' my calendar, but the 
problem appears when anyone invites me to a event and I accept it.



Thanks in advance
2006-05-24 13:59:10 Chuck Hagenbuch Comment #8 Reply to this comment
That's not a screenshot...



Event delegation is when you create an event _as_ someone else. Is the 
event in question on your calendar, or on a shared calendar?
2006-05-24 11:59:00 manoli (dot) cano (at) upcnet (dot) es Comment #7
New Attachment: display_event
Reply to this comment
Hello, I attach you a screen with the display of an event (not created 
by me) from my calendar.

I don't know how delegate and event. Where I can do it? or where I can 
find information about this issue?.



Thanks in advance.
2006-05-24 09:31:27 Jan Schneider Comment #6 Reply to this comment
I can't reproduce this either. Are you sure the other user is not 
delegating an event to you?
2006-05-24 07:10:52 manoli (dot) cano (at) upcnet (dot) es Comment #5 Reply to this comment
Hello, I try to explain me better: the problem happends when I display 
a event not created by my in my calendar, then, the owner is my name 
(Manoli Cano) not the real person that creates the event. So, If I 
want to say anything to him I can't because I don't know who invites 
me to the meeting.

I hope this clarify you the problem.



Thanks in advance.
2006-05-23 15:48:01 Chuck Hagenbuch Comment #4 Reply to this comment
I can't reproduce this. Furthermore the only place I see "me" for my 
own events is in the tooltips on event summaries. The event details 
page always has the full name.
2006-05-23 07:52:11 manoli (dot) cano (at) upcnet (dot) es Comment #3 Reply to this comment
Yes, I want to see the real owner in the detail of the event (events 
not created by my). Now, the owner are 'me' .
2006-05-22 15:44:29 Chuck Hagenbuch Comment #2
Type ⇒ Enhancement
State ⇒ Feedback
Priority ⇒ 1. Low
Version ⇒ HEAD
Reply to this comment
If I understand correctly, you want the event owner to be displayed in 
the event details screen?
2006-05-22 12:58:25 manoli (dot) cano (at) upcnet (dot) es Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Field Owner when I display the event
Queue ⇒ Kronolith
Reply to this comment
The field owner are set to 'me'  when, in my calendar I display events 
not created by my.  I can't see who created the event, so, if I want 
to send a mail or contact whit the real owner I can't because I don't 
remember who vas him.

Thanks in advance.

Saved Queries